Summary: Parser which copes with most styles of Authentication-Results email headers
Name: perl-Mail-AuthenticationResults
Version: 2.20231031
Release: 1%{?dist}
License: GPL-1.0-or-later OR Artistic-1.0
Group: Development/Libraries
URL: https://metacpan.org/pod/Mail::AuthenticationResults
Packager: Simon Matter <simon.matter@invoca.ch>
Vendor: Invoca Systems
Distribution: Invoca Linux Server
Source0: https://cpan.metacpan.org/authors/id/M/MB/MBRADSHAW/Mail-AuthenticationResults-%{version}.tar.gz
BuildRoot: %{_tmppath}/%{name}-%{version}-%{release}-root
BuildArch: noarch
BuildRequires: %{__perl}
BuildRequires: perl(base)
BuildRequires: perl(Carp)
BuildRequires: perl(Scalar::Util)
BuildRequires: perl(strict)
BuildRequires: perl(warnings)
Requires: perl(:MODULE_COMPAT_%(eval "$(%{__perl} -V:version)"; echo $version))

%description
Object Oriented Authentication-Results parser for email headers.
This parser copes with most styles of Authentication-Results headers seen
in the wild, but is not yet fully RFC7601 compliant.

Differences from RFC7601:
key/value pairs are parsed when present in the authserv-id section, this
is against RFC but has been seen in headers added by Yahoo!.
Comments added between key/value pairs will be added after them in the
data structures and when stringified.

%prep
%setup -q -n Mail-AuthenticationResults-%{version}

%build
%{__perl} Makefile.PL INSTALLDIRS=vendor NO_PACKLIST=1
%{__make}

%install
%{__make} pure_install PERL_INSTALL_ROOT=%{buildroot}
find %{buildroot} -name .packlist -exec %{__rm} -f {} \;
%{__chmod} -R u+w %{buildroot}/*

%clean
[ "%{buildroot}" != "/" ] && %{__rm} -rf %{buildroot}

%files
%doc Changes LICENSE README README.md
%{perl_vendorlib}/*
%{_mandir}/man3/*.3*

%changelog
* Wed Nov 01 2023 Simon Matter <simon.matter@invoca.ch> 2.20231031-1
- update to release 2.20231031

* Fri Jan 13 2023 Simon Matter <simon.matter@invoca.ch> 2.20230112-1
- update to release 2.20230112

* Thu Sep 16 2021 Simon Matter <simon.matter@invoca.ch> 2.20210915-1
- update to release 2.20210915

* Tue Sep 14 2021 Simon Matter <simon.matter@invoca.ch> 2.20210914-1
- update to release 2.20210914

* Wed Jan 13 2021 Simon Matter <simon.matter@invoca.ch> 2.20210112-1
- update to release 2.20210112

* Mon Aug 24 2020 Simon Matter <simon.matter@invoca.ch> 1.20200824.1-1
- update to release 1.20200824.1

* Wed May 13 2020 Simon Matter <simon.matter@invoca.ch> 1.20200331.1-3
- fix URL

* Mon Apr 20 2020 Simon Matter <simon.matter@invoca.ch> 1.20200331.1-2
- add support for EL8

* Wed Apr 01 2020 Simon Matter <simon.matter@invoca.ch> 1.20200331.1-1
- update to release 1.20200331.1

* Wed Jan 08 2020 Simon Matter <simon.matter@invoca.ch> 1.20200108-1
- update to release 1.20200108

* Fri Apr 12 2019 Simon Matter <simon.matter@invoca.ch> 1.20180923-1
- initial package
